import type { CardAPI, CardStates, HasCloserPropType, HeadingLevel, KoliBriCardEventCallbacks, LabelPropType } from '../../schema';
import type { JSX } from '../../stencil-public-runtime';
export declare class KolCard implements CardAPI {
    private readonly close;
    private readonly on;
    render(): JSX.Element;
    _on?: KoliBriCardEventCallbacks;
    _hasCloser?: boolean;
    _label: LabelPropType;
    _level?: HeadingLevel;
    state: CardStates;
    private validateOnValue;
    validateOn(value?: KoliBriCardEventCallbacks): void;
    validateHasCloser(value?: HasCloserPropType): void;
    validateLabel(value?: LabelPropType): void;
    validateLevel(value?: HeadingLevel): void;
    componentWillLoad(): void;
}
